//=========================================================================
//	タコクラス[ k_tako.h ]
//	作成日：2017/06/05	
//	作成者：小暮大樹
//=========================================================================
#pragma once

//=========================================================================
//	タコクラス
//=========================================================================
class	KTako
{
public:
	KTako();			// コンストラクタ
	~KTako(){};			// デストラクタ
	void	Init(void);		// 初期化処理
	void	Uninit(void);	// 終了処理
	void	Update(void);	// 更新処理
	void	Draw(void);		// 描画処理

	void	SetRotate( const D3DXVECTOR3& rot ) { m_Rot = rot; };
	void	SetScale( const D3DXVECTOR3& scl ) { m_Scl = scl; };
	void	SetPosition( const D3DXVECTOR3& pos ){ m_Pos = pos; };

	const	D3DXVECTOR3&	GetScale( void )	const	{ return m_Scl; };
	const	D3DXVECTOR3&	GetRotate( void )	const	{ return m_Rot; };
	const	D3DXVECTOR3&	GetPosition( void )	const	{ return m_Pos; };

	void	LoadModel( const char* ModelName );	

	void	Move( D3DXVECTOR3 pos )	{ m_Pos += pos; };

private:
	LPD3DXMESH			m_pMesh;		// メッシュインターフェイス
	LPD3DXBUFFER		m_pMatBuffer;	// マテリアル情報
	D3DXMATERIAL*		m_pMat;			// マテリアル
	DWORD				m_nNumMat;		// マテリアル数
	LPDIRECT3DTEXTURE9*	m_pTextures;	// テクスチャ 

	D3DXVECTOR3			m_Pos;			//位置
	D3DXVECTOR3			m_Rot;			// 回転量
	D3DXVECTOR3			m_Scl;			// 拡大量
};